This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165688 - Review Request: perl-YAML-Parser-Syck - Perl Wrapper for the YAML Parser Extension: libsyck
Review Request: perl-YAML-Parser-Syck - Perl Wrapper for the YAML Parser Exte...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://filelister.linux-kernel.at/mod...
:
Depends On: 165686
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-11 08:08 EDT by Oliver Falk
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 08:20:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch addressing review issues (3.13 KB, patch)
2005-09-07 08:38 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Oliver Falk 2005-08-11 08:08:42 EDT
Spec Name or Url: http://filelister.linux-kernel.at/downloads/packages/FC_EXTRAS_APPROVAL/perl-YAML-Parser-Syck/YAML-Parser-Syck.spec
SRPM Name or Url: http://filelister.linux-kernel.at/downloads/packages/FC_EXTRAS_APPROVAL/perl-YAML-Parser-Syck/perl-YAML-Parser-Syck-0.01-3.src.rpm
Description:
libsyck is a *gift* from a gifted Stiff named 'Why'.

    YAML::Parser::Syck is an XS module that binds libsyck to Perl.
Comment 1 Paul Howarth 2005-09-07 08:37:25 EDT
Review:

- rpmlint clean
- package naming OK
- package meets guidelines
- license is same as perl
- spec file written in English and is legible
- sources match upstream
- package builds OK in FC4 and in mock for rawhide (i386)
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- spec file should be perl-YAML-Parser-Syck.spec, not YAML-Parser-Syck.spec
- redundant BR: perl
- missing BR: syck-devel
- license is same as perl, i.e. dual GPL/Artistic, not just Artistic
- license text not included
- package is arch-specific so you should be using perl_vendorarch, not
  perl_vendorlib
- %clean should unconditionally remove the buildroot

Nitpick:

- what does that %description mean?
  "libsyck is a *gift* from a gifted Stiff named 'Why'."
- I suggest manually expanding the %pkgname macro in your spec file to
  improve clarity
- http://search.cpan.org/dist/YAML-Parser-Syck/ would be a better URL
- "|| :" after %%check is redundant in Fedora Extras
- compiler optimiztion flags setup could be simplified to:
  %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
  %{__make} %{?_smp_mflags}
- include "Changes" as %doc
- if using macros for commands, e.g. %{__make}, be consistent about it and use
  them everywhere
Comment 2 Paul Howarth 2005-09-07 08:38:22 EDT
Created attachment 118555 [details]
Patch addressing review issues
Comment 3 Oliver Falk 2005-09-08 06:26:41 EDT
Patch applied. May I have your 'approved' word? :-)
Comment 4 Paul Howarth 2005-09-08 06:38:47 EDT
(In reply to comment #3)
> Patch applied. May I have your 'approved' word? :-)

With the patch, yes.

Any comment on the %description?
Comment 5 Paul Howarth 2006-01-04 11:57:24 EST
Ping Oliver; this package has been approved for nearly 4 months.
Comment 6 Paul Howarth 2006-03-07 11:36:45 EST
This package appears to be orphaned without having made it into cvs...
Comment 7 Oliver Falk 2006-03-07 11:44:44 EST
Uupps... I'll import it tomorrow...
Comment 8 Paul Howarth 2006-03-22 08:18:52 EST
Package is built; can this one be closed now?

Note You need to log in before you can comment on or make changes to this bug.